#if QT_VERSION >= 0x060000
# include <QtGui> 
#endif


#if QT_VERSION < 0x060000
#ifndef QT_NO_OPENGL


# include <QtOpenGL/QGLWidget>

class GLpaint_area : public QGLWidget
{
	Q_OBJECT

public:
	GLpaint_area(QWidget *parent = 0);
	QSize minimumSizeHint() const;
	QSize sizeHint() const;                

protected:
	void paintEvent(QPaintEvent *event);
	void keyPressEvent ( QKeyEvent * event );  
	void keyReleaseEvent ( QKeyEvent * event );

 void	mouseMoveEvent ( QMouseEvent * event );
 void	mousePressEvent ( QMouseEvent * event );
 void	mouseReleaseEvent ( QMouseEvent * event );
};

#endif
#endif